{
  "git.closeDiffOnOperation": true,

  "[python]": {
    "editor.formatOnSave": true,
    "editor.defaultFormatter": "ms-python.black-formatter",
    "editor.codeActionsOnSave": {
      "source.organizeImports": "explicit",
      "source.fixAll": "explicit",
    },
  },

  "python.languageServer": "Pylance",
  "python.analysis.autoImportCompletions": true,
  "python.analysis.importFormat": "relative",
  "python.analysis.fixAll": [
    "source.convertImportFormat",
    "source.unusedImports",
  ],
  "python.analysis.typeCheckingMode": "basic",
  "python.analysis.diagnosticMode": "workspace",

  "python.testing.unittestEnabled": false,
  "python.testing.pytestEnabled": true,
  "python.testing.pytestArgs": [
    "--import-mode=importlib",
    "test",
  ],

  "black-formatter.importStrategy": "fromEnvironment",
  "flake8.importStrategy": "fromEnvironment",
  "isort.importStrategy": "fromEnvironment",
}
